<?php
/*******************************************************************************/
//                          InstantCMS v1.10                                   //
//                      http://www.instantcms.ru/                              //
//                         component "SEO_PAGE" v1.2.0                         //
//                     written by Marat Fatikhov  aka Марат                    //
//                     http://www.instantcms.ru/users/marat                    //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

class p_seo_page extends cmsPlugin {

// ==================================================================== //

    public function __construct(){

        parent::__construct();

        // Информация о плагине

        $this->info['plugin']           = 'p_seo_page';
        $this->info['title']            = 'SEO страницы';
        $this->info['description']      = 'Устанавливает SEO данные для любой страницы любого компонента';
        $this->info['author']           = 'Marat Fatikhov';
        $this->info['version']          = '1.2.0';

        // Настройки по-умолчанию
        $this->config['Быстрая ссылка, 1 - да, пусто - нет']   = '';

        // События, которые будут отлавливаться плагином
        $inCore = cmsCore::getInstance();
        $components = array();
        $components = cmsCore::getDirsList('/components');
        
        foreach($components as $component){
          $this->events[]                 = 'AFTER_COMPONENT_'.mb_strtoupper($component);
        }
    }

// ==================================================================== //

    /**
     * Процедура установки плагина
     * @return bool
     */
    public function install(){

        return parent::install();

    }

// ==================================================================== //

    /**
     * Процедура обновления плагина
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    /**
     * Обработка событий
     * @param string $event
     * @param mixed $item
     * @return mixed
     */
    public function execute($event='', $item=array()){

        parent::execute();

            $item = $this->sendSeo($item);

        return $item;
    }

// ==================================================================== //

    private function sendSeo($item){

        $inCore = cmsCore::getInstance();
        $inDB   = cmsDatabase::getInstance();
        $inUser = cmsUser::getInstance();
        $inPage = cmsPage::getInstance();
        
        $uri    = cmsCore::strClear(urldecode($_SERVER['REQUEST_URI']));
        $uri = trim($uri, '/');
        if(!$uri){ return $item; }
        
        $sql = "SELECT *
                FROM `cms_seo_page`
                WHERE published = 1 AND (request_uri = '{$uri}' OR target_uri = '{$uri}')
                LIMIT 1";
                
        $res = $inDB->query($sql);
        if($inDB->num_rows($res)){
           $params = array();
           $params = $inDB->fetch_assoc($res);
           if($params['page_title']){ $inPage->setTitle($params['page_title']); }
           if($params['meta_desc']){ $inPage->setDescription($params['meta_desc']); }
           if($params['meta_keys']){ $inPage->setKeywords($params['meta_keys']); }
        }
        
        if($inUser->is_admin){
            $is_link = $this->config['Быстрая ссылка, 1 - да, пусто - нет'];
            
            if($is_link && !cmsCore::isAjax()){
            
                 if($params){
                   $item .= '<div id="wind">
                               <a href="http://'.$_SERVER['SERVER_NAME'].'/admin/index.php?view=components
                               &do=config&link=seo_page&opt=edit_item&item_id='.$params['id'].'" target="_blank">
                               Редактировать SEO-параметры
                               </a>
                             </div>
                             ';
                           
                }else{
                   $item .= '<div id="wind">
                                <a href="http://'.$_SERVER['SERVER_NAME'].'/admin/index.php?view=components&do=config&link=seo_page&opt=add_item" target="_blank">
                                Добавить SEO-страницу
                                </a>
                             </div>';
                }
                
                $item .= '
                         <style>
                                 #wind {
                                         position: absolute;
                                         width:320px;
                                         left: 35%;
                                         top: 0;
                                         left: 0;
                                         border:solid #105a98 4px;
                                         z-index: 1000;
                                         overflow: hidden;
                                         background-color:#00ffc3;
                                         color:#fff;
                                         text-align:center;
                                         padding:10px;
                                }
                             </style>
                         ';
                
            }
        }
        
        return $item;
    }

//==============================================================================//


} //class
?>
